Installation

This section describes how to install the Conjur Jenkins plugin.

Prerequisites

The following prerequisites are assumed:

  • You have a fully operational Conjur appliance configured and running.

  • You have a fully operational Jenkins host, configured and running.

     

    The minimum supported version of the Jenkins plugin is 2.32.1.

Upload the binary into Jenkins

These steps describe how to obtain the binary file and upload it using the Jenkins user interface.

  1. Download the Conjur.hpi file from https://github.com/cyberark/conjur-credentials-plugin/releases

  2. Log into Jenkins as an administrator.

  3. Navigate to Jenkins -> Manage Jenkins -> Manage Plugins -> Advanced.
  4. In the Upload Plugin section, browse for the downloaded copy of Conjur.hpi.

  5. Click Upload Plugin.

  6. Restart Jenkins.